export declare type NonEmptyArray<T> = [T, ...T[]];
export declare function isNonEmptyArray<T>(value: T[]): value is NonEmptyArray<T>;
export declare function isEmptyArray<T>(value: T[]): value is [];
export declare function NonEmptyExpectError<T>(error: Error, array: T[]): NonEmptyArray<T>;
export declare function NonEmpty<T>(array: T[]): NonEmptyArray<T>;
export declare function NonEmptyMaybe<T>(array: T[]): NonEmptyArray<T> | undefined;
